<?php
session_start();
header('Content-Type: application/json');

$response = ["success" => false, "message" => ""];

// Kiểm tra yêu cầu
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['path'])) {
        $filePath = $_SERVER['DOCUMENT_ROOT'] . '/upimage/' . $data['path']; // Đường dẫn đầy đủ

        // Kiểm tra tệp tồn tại và xóa
        if (file_exists($filePath)) {
            if (unlink($filePath)) {
                // Xóa khỏi session
                if (isset($_SESSION['uploaded_files'])) {
                    $_SESSION['uploaded_files'] = array_filter($_SESSION['uploaded_files'], function ($file) use ($data) {
                        return $file['path'] !== $data['path'];
                    });
                }

                $response['success'] = true;
                $response['message'] = "File deleted successfully.";
            } else {
                $response['message'] = "Failed to delete file.";
            }
        } else {
            $response['message'] = "File does not exist.";
        }
    } else {
        $response['message'] = "File path is missing.";
    }
} else {
    $response['message'] = "Invalid request method.";
}

echo json_encode($response);
