<?php
session_start();
header('Content-Type: application/json');

$uploadDir = 'upload/';
$response = ["success" => false, "messages" => [], "files" => []];

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['files'])) {
    $files = $_FILES['files'];

    // Kiểm tra tên thư mục từ người dùng
    if (isset($_POST['customDir']) && !empty($_POST['customDir'])) {
        $customDirName = preg_replace('/[^a-zA-Z0-9_-]/', '_', $_POST['customDir']); // Loại bỏ ký tự không hợp lệ
        $currentDir = $uploadDir . $customDirName . '/';
    } else {
        $currentDir = $uploadDir . date('Y-m-d_H-i-s') . '/';
    }

    // Tạo thư mục nếu chưa tồn tại
    if (!is_dir($currentDir)) {
        mkdir($currentDir, 0777, true);
    }

    // Khởi tạo mảng nếu chưa tồn tại trong session
    if (!isset($_SESSION['uploaded_files']) || !is_array($_SESSION['uploaded_files'])) {
        $_SESSION['uploaded_files'] = [];
    }

    $newlyUploadedFiles = [];

    for ($i = 0; $i < count($files['name']); $i++) {
        $fileName = basename($files['name'][$i]);
        $targetFile = $currentDir . $fileName;

        // Kiểm tra và di chuyển tệp
        if ($files['error'][$i] === UPLOAD_ERR_OK && move_uploaded_file($files['tmp_name'][$i], $targetFile)) {
            $filePath = str_replace($uploadDir, '', $targetFile);
            $fileData = ["name" => $fileName, "path" => $filePath];

            // Thêm file vào danh sách mới và session
            array_unshift($newlyUploadedFiles, $fileData); // Thêm vào đầu danh sách mới
            array_unshift($_SESSION['uploaded_files'], $fileData); // Thêm vào đầu danh sách session

            $response['files'][] = $fileData;
        } else {
            $response['messages'][] = "Failed to upload file: $fileName";
        }
    }

    if (count($response['files']) > 0) {
        $response['success'] = true;
    } else {
        $response['messages'][] = "No files uploaded successfully.";
    }

    // Lưu các file mới vào session
    $_SESSION['newly_uploaded_files'] = $newlyUploadedFiles;
} else {
    $response['messages'][] = "Invalid request.";
}

echo json_encode($response);
?>
